#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../data/screen/schema.4gl  1.6  Delta: 2/28/91
#####################################################################


# This file represents the internal definition of
# the tables, columns, indexes, and views.
# It has been automatically generated using FourGen CASE tools.

globals "globals.4gl"

#####################################################################
function define_data()
#####################################################################
#
    define
        a char(18),   # holding bin for the column name
        b smallint,   # holding bin for the column type
        c smallint,   # holding bin for the column length
        d char(1),    # (Y/N) unique index?
        e char(1),    # (Y/N) clustered index?
        f smallint,   # part 1 of index
        g smallint,   # part 2 of index
        h smallint,   # part 3 of index
        i smallint,   # part 4 of index
        j smallint,   # part 5 of index
        k smallint,   # part 6 of index
        l smallint,   # part 7 of index
        m smallint,   # part 8 of index
        n smallint,   # generic counter
        t char(45)    # text portion of the view

    # Set the array boundaries
    let gn_tab = 32    # number of active elements in the tab[] array
    let gx_tab = 32    # maximum number of elements in the tab[] array
    let gn_col = 194   # number of active elements in the col[] array
    let gx_col = 194   # maximum number of elements in the col[] array
    let gn_idx = 18    # number of active elements in the idx[] array
    let gx_idx = 18    # maximum number of elements in the idx[] array
    let gn_viw = 0    # number of active elements in the viw[] array
    let gx_viw = 0    # maximum number of elements in the viw[] array

    # Set some default table elements
    for n = 1 to gn_tab
        let tab[n].col_start = 0
        let tab[n].col_end = 0
        let tab[n].idx_start = 0
        let tab[n].idx_end = 0
        let tab[n].viw_start = 0
        let tab[n].viw_end = 0
    end for

    # Table: pcdtablr
    let tab[1].tabname = "pcdtablr"
    let tab[1].col_start = 1
    let tab[1].col_end = 3
    let tab[1].idx_start = 1
    let tab[1].idx_end = 1
    let tab[1].serial_start = 1000
    for n = 1 to 3
        case n
          when 1  let a="prodid"  let b=0  let c=8
          when 2  let a="line_no"  let b=1  let c=2
          when 3  let a="tabname"  let b=0  let c=18
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxacknd
    let tab[2].tabname = "stxacknd"
    let tab[2].col_start = 4
    let tab[2].col_end = 7
    let tab[2].serial_start = 1000
    for n = 4 to 7
        case n
          when 4  let a="ack_module"  let b=0  let c=8
          when 5  let a="ack_program"  let b=0  let c=8
          when 6  let a="line_no"  let b=1  let c=2
          when 7  let a="ack_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxactnr
    let tab[3].tabname = "stxactnr"
    let tab[3].col_start = 8
    let tab[3].col_end = 12
    let tab[3].idx_start = 2
    let tab[3].idx_end = 2
    let tab[3].serial_start = 1000
    for n = 8 to 12
        case n
          when 8  let a="language"  let b=0  let c=3
          when 9  let a="act_key"  let b=0  let c=15
          when 10  let a="description"  let b=0  let c=30
          when 11  let a="os_command"  let b=0  let c=74
          when 12  let a="press_enter"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxaddld
    let tab[4].tabname = "stxaddld"
    let tab[4].col_start = 13
    let tab[4].col_end = 16
    let tab[4].idx_start = 3
    let tab[4].idx_end = 3
    let tab[4].serial_start = 1000
    for n = 13 to 16
        case n
          when 13  let a="filename"  let b=256  let c=18
          when 14  let a="record_key"  let b=0  let c=30
          when 15  let a="line_no"  let b=1  let c=2
          when 16  let a="data"  let b=0  let c=30
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxaddlr
    let tab[5].tabname = "stxaddlr"
    let tab[5].col_start = 17
    let tab[5].col_end = 19
    let tab[5].idx_start = 4
    let tab[5].idx_end = 4
    let tab[5].serial_start = 1000
    for n = 17 to 19
        case n
          when 17  let a="filename"  let b=256  let c=18
          when 18  let a="line_no"  let b=1  let c=2
          when 19  let a="field_label"  let b=0  let c=20
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxerord
    let tab[6].tabname = "stxerord"
    let tab[6].col_start = 20
    let tab[6].col_end = 27
    let tab[6].idx_start = 5
    let tab[6].idx_end = 5
    let tab[6].serial_start = 1000
    for n = 20 to 27
        case n
          when 20  let a="language"  let b=0  let c=3
          when 21  let a="userdef"  let b=0  let c=1
          when 22  let a="err_module"  let b=0  let c=8
          when 23  let a="err_program"  let b=0  let c=8
          when 24  let a="err_number"  let b=1  let c=2
          when 25  let a="a_b"  let b=0  let c=1
          when 26  let a="line_no"  let b=1  let c=2
          when 27  let a="err_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxerorh
    let tab[7].tabname = "stxerorh"
    let tab[7].col_start = 28
    let tab[7].col_end = 33
    let tab[7].idx_start = 6
    let tab[7].idx_end = 6
    let tab[7].serial_start = 1000
    for n = 28 to 33
        case n
          when 28  let a="language"  let b=0  let c=3
          when 29  let a="userdef"  let b=0  let c=1
          when 30  let a="err_module"  let b=0  let c=8
          when 31  let a="err_program"  let b=0  let c=8
          when 32  let a="err_number"  let b=1  let c=2
          when 33  let a="err_line"  let b=0  let c=40
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxfiler
    let tab[8].tabname = "stxfiler"
    let tab[8].col_start = 34
    let tab[8].col_end = 36
    let tab[8].serial_start = 1000
    for n = 34 to 36
        case n
          when 34  let a="uniq_num"  let b=2  let c=4
          when 35  let a="line_no"  let b=262  let c=4
          when 36  let a="line_text"  let b=0  let c=248
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxhelpd
    let tab[9].tabname = "stxhelpd"
    let tab[9].col_start = 37
    let tab[9].col_end = 43
    let tab[9].idx_start = 7
    let tab[9].idx_end = 7
    let tab[9].serial_start = 1000
    for n = 37 to 43
        case n
          when 37  let a="language"  let b=0  let c=3
          when 38  let a="userdef"  let b=0  let c=1
          when 39  let a="hlp_module"  let b=0  let c=18
          when 40  let a="hlp_program"  let b=0  let c=18
          when 41  let a="hlp_number"  let b=1  let c=2
          when 42  let a="line_no"  let b=1  let c=2
          when 43  let a="hlp_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxhotkd
    let tab[10].tabname = "stxhotkd"
    let tab[10].col_start = 44
    let tab[10].col_end = 48
    let tab[10].serial_start = 1000
    for n = 44 to 48
        case n
          when 44  let a="hot_key"  let b=1  let c=2
          when 45  let a="act_key"  let b=0  let c=15
          when 46  let a="hot_module"  let b=0  let c=8
          when 47  let a="hot_program"  let b=0  let c=8
          when 48  let a="hot_user"  let b=0  let c=10
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxkeysr
    let tab[11].tabname = "stxkeysr"
    let tab[11].col_start = 49
    let tab[11].col_end = 50
    let tab[11].serial_start = 1000
    for n = 49 to 50
        case n
          when 49  let a="key_code"  let b=1  let c=2
          when 50  let a="key_desc"  let b=0  let c=15
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxnoted
    let tab[12].tabname = "stxnoted"
    let tab[12].col_start = 51
    let tab[12].col_end = 54
    let tab[12].idx_start = 8
    let tab[12].idx_end = 8
    let tab[12].serial_start = 1000
    for n = 51 to 54
        case n
          when 51  let a="filename"  let b=256  let c=18
          when 52  let a="record_key"  let b=0  let c=30
          when 53  let a="line_no"  let b=1  let c=2
          when 54  let a="data"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxnvgtd
    let tab[13].tabname = "stxnvgtd"
    let tab[13].col_start = 55
    let tab[13].col_end = 59
    let tab[13].serial_start = 1000
    for n = 55 to 59
        case n
          when 55  let a="act_key"  let b=0  let c=15
          when 56  let a="line_no"  let b=1  let c=2
          when 57  let a="nav_module"  let b=0  let c=8
          when 58  let a="nav_program"  let b=0  let c=8
          when 59  let a="nav_user"  let b=0  let c=10
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxtodod
    let tab[14].tabname = "stxtodod"
    let tab[14].col_start = 60
    let tab[14].col_end = 62
    let tab[14].serial_start = 1000
    for n = 60 to 62
        case n
          when 60  let a="todo_user"  let b=0  let c=10
          when 61  let a="line_no"  let b=1  let c=2
          when 62  let a="todo_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxtxtdd
    let tab[15].tabname = "stxtxtdd"
    let tab[15].col_start = 63
    let tab[15].col_end = 65
    let tab[15].serial_start = 1000
    for n = 63 to 65
        case n
          when 63  let a="txt_key"  let b=0  let c=30
          when 64  let a="line_no"  let b=1  let c=2
          when 65  let a="dflt_text"  let b=0  let c=74
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxuniqc
    let tab[16].tabname = "stxuniqc"
    let tab[16].col_start = 66
    let tab[16].col_end = 66
    let tab[16].serial_start = 1000
    for n = 66 to 66
        case n
          when 66  let a="uniq"  let b=262  let c=4
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgsclipr
    let tab[17].tabname = "cgsclipr"
    let tab[17].col_start = 67
    let tab[17].col_end = 75
    let tab[17].idx_start = 9
    let tab[17].idx_end = 9
    let tab[17].serial_start = 1000
    for n = 67 to 75
        case n
          when 67  let a="username"  let b=0  let c=12
          when 68  let a="clipname"  let b=0  let c=8
          when 69  let a="clip_title"  let b=0  let c=30
          when 70  let a="seqno"  let b=262  let c=4
          when 71  let a="srow"  let b=1  let c=2
          when 72  let a="erow"  let b=1  let c=2
          when 73  let a="scol"  let b=1  let c=2
          when 74  let a="ecol"  let b=1  let c=2
          when 75  let a="clip_status"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgsdpndd
    let tab[18].tabname = "cgsdpndd"
    let tab[18].col_start = 76
    let tab[18].col_end = 81
    let tab[18].serial_start = 1000
    for n = 76 to 81
        case n
          when 76  let a="module"  let b=0  let c=8
          when 77  let a="prog"  let b=0  let c=8
          when 78  let a="scrid"  let b=0  let c=7
          when 79  let a="src_type"  let b=1  let c=2
          when 80  let a="src_field"  let b=0  let c=18
          when 81  let a="dpnd_field"  let b=0  let c=18
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgsifldd
    let tab[19].tabname = "cgsifldd"
    let tab[19].col_start = 82
    let tab[19].col_end = 103
    let tab[19].idx_start = 10
    let tab[19].idx_end = 10
    let tab[19].serial_start = 1000
    for n = 82 to 103
        case n
          when 82  let a="module"  let b=0  let c=8
          when 83  let a="prog"  let b=0  let c=8
          when 84  let a="scrid"  let b=0  let c=7
          when 85  let a="input_num"  let b=1  let c=2
          when 86  let a="seqno"  let b=1  let c=2
          when 87  let a="field_tag"  let b=0  let c=6
          when 88  let a="tabname"  let b=0  let c=18
          when 89  let a="fldname"  let b=0  let c=18
          when 90  let a="fldtype"  let b=0  let c=42
          when 91  let a="f_autonext"  let b=0  let c=1
          when 92  let a="f_comments"  let b=0  let c=74
          when 93  let a="f_default"  let b=0  let c=30
          when 94  let a="f_display_like"  let b=0  let c=42
          when 95  let a="f_downshift"  let b=0  let c=1
          when 96  let a="f_format"  let b=0  let c=50
          when 97  let a="f_include"  let b=0  let c=50
          when 98  let a="f_picture"  let b=0  let c=50
          when 99  let a="f_noentry"  let b=0  let c=1
          when 100  let a="f_required"  let b=0  let c=1
          when 101  let a="f_upshift"  let b=0  let c=1
          when 102  let a="f_valid_like"  let b=0  let c=42
          when 103  let a="f_verify"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgsimged
    let tab[20].tabname = "cgsimged"
    let tab[20].col_start = 104
    let tab[20].col_end = 108
    let tab[20].idx_start = 11
    let tab[20].idx_end = 11
    let tab[20].serial_start = 1000
    for n = 104 to 108
        case n
          when 104  let a="module"  let b=0  let c=8
          when 105  let a="prog"  let b=0  let c=8
          when 106  let a="scrid"  let b=0  let c=7
          when 107  let a="line_no"  let b=1  let c=2
          when 108  let a="image_data"  let b=0  let c=132
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgsinptr
    let tab[21].tabname = "cgsinptr"
    let tab[21].col_start = 109
    let tab[21].col_end = 122
    let tab[21].idx_start = 12
    let tab[21].idx_end = 12
    let tab[21].serial_start = 1000
    for n = 109 to 122
        case n
          when 109  let a="module"  let b=0  let c=8
          when 110  let a="prog"  let b=0  let c=8
          when 111  let a="scrid"  let b=0  let c=7
          when 112  let a="input_num"  let b=1  let c=2
          when 113  let a="scr_rec"  let b=0  let c=12
          when 114  let a="maintab"  let b=0  let c=18
          when 115  let a="sel_join"  let b=0  let c=200
          when 116  let a="sel_filter"  let b=0  let c=200
          when 117  let a="sel_order"  let b=0  let c=100
          when 118  let a="unique_key"  let b=0  let c=80
          when 119  let a="ok_delete"  let b=0  let c=1
          when 120  let a="auto_number"  let b=0  let c=18
          when 121  let a="scr_siz"  let b=1  let c=2
          when 122  let a="arr_max"  let b=1  let c=2
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgsscrnr
    let tab[22].tabname = "cgsscrnr"
    let tab[22].col_start = 123
    let tab[22].col_end = 135
    let tab[22].idx_start = 13
    let tab[22].idx_end = 13
    let tab[22].serial_start = 1000
    for n = 123 to 135
        case n
          when 123  let a="module"  let b=0  let c=8
          when 124  let a="prog"  let b=0  let c=8
          when 125  let a="scrid"  let b=0  let c=7
          when 126  let a="scr_type"  let b=0  let c=15
          when 127  let a="maintab"  let b=0  let c=18
          when 128  let a="init_filter"  let b=0  let c=200
          when 129  let a="win_x"  let b=1  let c=2
          when 130  let a="win_y"  let b=1  let c=2
          when 131  let a="delimiters"  let b=0  let c=2
          when 132  let a="_returning"  let b=0  let c=18
          when 133  let a="scr_attr"  let b=0  let c=30
          when 134  let a="load_time"  let b=2  let c=4
          when 135  let a="trig_time"  let b=2  let c=4
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgszoomr
    let tab[23].tabname = "cgszoomr"
    let tab[23].col_start = 136
    let tab[23].col_end = 144
    let tab[23].serial_start = 1000
    for n = 136 to 144
        case n
          when 136  let a="module"  let b=0  let c=8
          when 137  let a="prog"  let b=0  let c=8
          when 138  let a="scrid"  let b=0  let c=7
          when 139  let a="input_num"  let b=1  let c=2
          when 140  let a="key_field"  let b=0  let c=18
          when 141  let a="zoom_scrid"  let b=0  let c=7
          when 142  let a="zoom_table"  let b=0  let c=18
          when 143  let a="noautozoom"  let b=0  let c=1
          when 144  let a="sel_filter"  let b=0  let c=200
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgxlkupr
    let tab[24].tabname = "cgxlkupr"
    let tab[24].col_start = 145
    let tab[24].col_end = 152
    let tab[24].serial_start = 1000
    for n = 145 to 152
        case n
          when 145  let a="module"  let b=0  let c=8
          when 146  let a="prog"  let b=0  let c=8
          when 147  let a="scrid"  let b=0  let c=7
          when 148  let a="input_num"  let b=1  let c=2
          when 149  let a="lkup_name"  let b=0  let c=18
          when 150  let a="key_field"  let b=0  let c=18
          when 151  let a="lkup_table"  let b=0  let c=18
          when 152  let a="sel_filter"  let b=0  let c=200
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgxlntod
    let tab[25].tabname = "cgxlntod"
    let tab[25].col_start = 153
    let tab[25].col_end = 159
    let tab[25].serial_start = 1000
    for n = 153 to 159
        case n
          when 153  let a="module"  let b=0  let c=8
          when 154  let a="prog"  let b=0  let c=8
          when 155  let a="scrid"  let b=0  let c=7
          when 156  let a="manual"  let b=0  let c=1
          when 157  let a="lkup_name"  let b=0  let c=18
          when 158  let a="lkup_into"  let b=0  let c=18
          when 159  let a="lkup_from"  let b=0  let c=18
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgxmathr
    let tab[26].tabname = "cgxmathr"
    let tab[26].col_start = 160
    let tab[26].col_end = 165
    let tab[26].serial_start = 1000
    for n = 160 to 165
        case n
          when 160  let a="module"  let b=0  let c=8
          when 161  let a="prog"  let b=0  let c=8
          when 162  let a="scrid"  let b=0  let c=7
          when 163  let a="input_num"  let b=1  let c=2
          when 164  let a="key_field"  let b=0  let c=18
          when 165  let a="math_text"  let b=0  let c=100
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgdtablr
    let tab[27].tabname = "cgdtablr"
    let tab[27].col_start = 166
    let tab[27].col_end = 169
    let tab[27].idx_start = 14
    let tab[27].idx_end = 14
    let tab[27].serial_start = 1000
    for n = 166 to 169
        case n
          when 166  let a="tabname"  let b=0  let c=18
          when 167  let a="language"  let b=0  let c=3
          when 168  let a="description"  let b=0  let c=30
          when 169  let a="uniq_list"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgdcolmr
    let tab[28].tabname = "cgdcolmr"
    let tab[28].col_start = 170
    let tab[28].col_end = 174
    let tab[28].idx_start = 15
    let tab[28].idx_end = 15
    let tab[28].serial_start = 1000
    for n = 170 to 174
        case n
          when 170  let a="tabname"  let b=0  let c=18
          when 171  let a="colname"  let b=0  let c=18
          when 172  let a="language"  let b=0  let c=3
          when 173  let a="description"  let b=0  let c=30
          when 174  let a="mssg_line"  let b=0  let c=74
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgstrigr
    let tab[29].tabname = "cgstrigr"
    let tab[29].col_start = 175
    let tab[29].col_end = 176
    let tab[29].serial_start = 1000
    for n = 175 to 176
        case n
          when 175  let a="trig_def"  let b=0  let c=30
          when 176  let a="trig_code"  let b=1  let c=2
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgstrigd
    let tab[30].tabname = "cgstrigd"
    let tab[30].col_start = 177
    let tab[30].col_end = 184
    let tab[30].idx_start = 16
    let tab[30].idx_end = 16
    let tab[30].serial_start = 1000
    for n = 177 to 184
        case n
          when 177  let a="module"  let b=0  let c=8
          when 178  let a="prog"  let b=0  let c=8
          when 179  let a="scrid"  let b=0  let c=7
          when 180  let a="input_num"  let b=1  let c=2
          when 181  let a="trig_code"  let b=1  let c=2
          when 182  let a="arg_one"  let b=0  let c=18
          when 183  let a="trig_order"  let b=1  let c=2
          when 184  let a="trig_text"  let b=0  let c=74
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxmssgr
    let tab[31].tabname = "stxmssgr"
    let tab[31].col_start = 185
    let tab[31].col_end = 189
    let tab[31].idx_start = 17
    let tab[31].idx_end = 17
    let tab[31].serial_start = 1000
    for n = 185 to 189
        case n
          when 185  let a="language"  let b=0  let c=3
          when 186  let a="mssg_module"  let b=0  let c=8
          when 187  let a="mssg_program"  let b=0  let c=8
          when 188  let a="mssg_number"  let b=1  let c=2
          when 189  let a="message"  let b=0  let c=132
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: cgxsorcd
    let tab[32].tabname = "cgxsorcd"
    let tab[32].col_start = 190
    let tab[32].col_end = 194
    let tab[32].idx_start = 18
    let tab[32].idx_end = 18
    let tab[32].serial_start = 1000
    for n = 190 to 194
        case n
          when 190  let a="module"  let b=0  let c=8
          when 191  let a="prog"  let b=0  let c=8
          when 192  let a="scrid"  let b=0  let c=7
          when 193  let a="src_code"  let b=0  let c=3
          when 194  let a="src_name"  let b=0  let c=200
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Indexes:
    for n = 1 to 18
        case n
          when 1
            let a="i1dtablr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 2
            let a="i1xactnr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 3
            let a="i1xaddld"  let d="Y"  let e="N"
            let f=1  let g=2  let h=3  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 4
            let a="i1xaddlr"  let d="N"  let e="N"
            let f=1  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 5
            let a="i1xerord"  let d="N"  let e="N"
            let f=3  let g=4  let h=5  let i=6
            let j=7  let k=0  let l=0  let m=0
          when 6
            let a="i1xerorh"  let d="N"  let e="N"
            let f=3  let g=4  let h=5  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 7
            let a="i1xhelpd"  let d="N"  let e="N"
            let f=3  let g=4  let h=5  let i=6
            let j=0  let k=0  let l=0  let m=0
          when 8
            let a="i1xnoted"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 9
            let a="i1sclipr"  let d="N"  let e="N"
            let f=2  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 10
            let a="i1sifldd"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=4
            let j=0  let k=0  let l=0  let m=0
          when 11
            let a="i1simged"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 12
            let a="i1sinptr"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=4
            let j=0  let k=0  let l=0  let m=0
          when 13
            let a="i1sscrnr"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 14
            let a="i1xtablr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 15
            let a="i1dcolmr"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 16
            let a="i1strigd"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=4
            let j=5  let k=6  let l=0  let m=0
          when 17
            let a="i1xmssgr"  let d="N"  let e="Y"
            let f=1  let g=2  let h=3  let i=4
            let j=0  let k=0  let l=0  let m=0
          when 18
            let a="i1xsorcd"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=4
            let j=0  let k=0  let l=0  let m=0
        end case
        let idx[n].idxname = a
        let idx[n].unique_idx = d
        let idx[n].clustered = e
        let idx[n].part[1] = f
        let idx[n].part[2] = g
        let idx[n].part[3] = h
        let idx[n].part[4] = i
        let idx[n].part[5] = j
        let idx[n].part[6] = k
        let idx[n].part[7] = l
        let idx[n].part[8] = m
    end for


end function
# define_data()
