#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  %Z%  %M%  %I%  Delta: %G%
#####################################################################


# This file represents the internal definition of
# the tables, columns, indexes, and views.
# It has been automatically generated using FourGen CASE tools.

globals "globals.4gl"

#####################################################################
function define_data()
#####################################################################
#
    define
        a char(18),   # holding bin for the column name
        b smallint,   # holding bin for the column type
        c smallint,   # holding bin for the column length
        d char(1),    # (Y/N) unique index?
        e char(1),    # (Y/N) clustered index?
        f smallint,   # part 1 of index
        g smallint,   # part 2 of index
        h smallint,   # part 3 of index
        i smallint,   # part 4 of index
        j smallint,   # part 5 of index
        k smallint,   # part 6 of index
        l smallint,   # part 7 of index
        m smallint,   # part 8 of index
        n smallint,   # generic counter
        t char(45)    # text portion of the view

    # Set the array boundaries
    let gn_tab = 7    # number of active elements in the tab[] array
    let gx_tab = 7    # maximum number of elements in the tab[] array
    let gn_col = 39   # number of active elements in the col[] array
    let gx_col = 39   # maximum number of elements in the col[] array
    let gn_idx = 1    # number of active elements in the idx[] array
    let gx_idx = 1    # maximum number of elements in the idx[] array
    let gn_viw = 0    # number of active elements in the viw[] array
    let gx_viw = 0    # maximum number of elements in the viw[] array

    # Set some default table elements
    for n = 1 to gn_tab
        let tab[n].col_start = 0
        let tab[n].col_end = 0
        let tab[n].idx_start = 0
        let tab[n].idx_end = 0
        let tab[n].viw_start = 0
        let tab[n].viw_end = 0
    end for

    # Table: customer
    let tab[1].tabname = "customer"
    let tab[1].col_start = 1
    let tab[1].col_end = 10
    let tab[1].serial_start = 1000
    for n = 1 to 10
        case n
          when 1  let a="customer_num"  let b=262  let c=4
          when 2  let a="fname"  let b=0  let c=15
          when 3  let a="lname"  let b=0  let c=15
          when 4  let a="company"  let b=0  let c=20
          when 5  let a="address1"  let b=0  let c=20
          when 6  let a="address2"  let b=0  let c=20
          when 7  let a="city"  let b=0  let c=15
          when 8  let a="state"  let b=0  let c=2
          when 9  let a="zipcode"  let b=0  let c=5
          when 10  let a="phone"  let b=0  let c=18
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: items
    let tab[2].tabname = "items"
    let tab[2].col_start = 11
    let tab[2].col_end = 16
    let tab[2].serial_start = 1000
    for n = 11 to 16
        case n
          when 11  let a="item_num"  let b=1  let c=2
          when 12  let a="order_num"  let b=2  let c=4
          when 13  let a="stock_num"  let b=1  let c=2
          when 14  let a="manu_code"  let b=0  let c=3
          when 15  let a="quantity"  let b=1  let c=2
          when 16  let a="total_price"  let b=8  let c=2050
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: manufact
    let tab[3].tabname = "manufact"
    let tab[3].col_start = 17
    let tab[3].col_end = 18
    let tab[3].serial_start = 1000
    for n = 17 to 18
        case n
          when 17  let a="manu_code"  let b=0  let c=3
          when 18  let a="manu_name"  let b=0  let c=15
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: orders
    let tab[4].tabname = "orders"
    let tab[4].col_start = 19
    let tab[4].col_end = 28
    let tab[4].serial_start = 1000
    for n = 19 to 28
        case n
          when 19  let a="order_num"  let b=262  let c=4
          when 20  let a="order_date"  let b=7  let c=4
          when 21  let a="customer_num"  let b=2  let c=4
          when 22  let a="ship_instruct"  let b=0  let c=40
          when 23  let a="backlog"  let b=0  let c=1
          when 24  let a="po_num"  let b=0  let c=10
          when 25  let a="ship_date"  let b=7  let c=4
          when 26  let a="ship_weight"  let b=5  let c=2050
          when 27  let a="ship_charge"  let b=8  let c=1538
          when 28  let a="paid_date"  let b=7  let c=4
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: pcdtablr
    let tab[5].tabname = "pcdtablr"
    let tab[5].col_start = 29
    let tab[5].col_end = 31
    let tab[5].idx_start = 1
    let tab[5].idx_end = 1
    let tab[5].serial_start = 1000
    for n = 29 to 31
        case n
          when 29  let a="prodid"  let b=0  let c=8
          when 30  let a="line_no"  let b=1  let c=2
          when 31  let a="tabname"  let b=0  let c=18
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: state
    let tab[6].tabname = "state"
    let tab[6].col_start = 32
    let tab[6].col_end = 33
    let tab[6].serial_start = 1000
    for n = 32 to 33
        case n
          when 32  let a="code"  let b=0  let c=2
          when 33  let a="sname"  let b=0  let c=15
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stock
    let tab[7].tabname = "stock"
    let tab[7].col_start = 34
    let tab[7].col_end = 39
    let tab[7].serial_start = 1000
    for n = 34 to 39
        case n
          when 34  let a="stock_num"  let b=1  let c=2
          when 35  let a="manu_code"  let b=0  let c=3
          when 36  let a="description"  let b=0  let c=15
          when 37  let a="unit_price"  let b=8  let c=1538
          when 38  let a="unit"  let b=0  let c=4
          when 39  let a="unit_descr"  let b=0  let c=15
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Indexes:
    for n = 1 to 1
        case n
          when 1
            let a="i1dtablr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
        end case
        let idx[n].idxname = a
        let idx[n].unique_idx = d
        let idx[n].clustered = e
        let idx[n].part[1] = f
        let idx[n].part[2] = g
        let idx[n].part[3] = h
        let idx[n].part[4] = i
        let idx[n].part[5] = j
        let idx[n].part[6] = k
        let idx[n].part[7] = l
        let idx[n].part[8] = m
    end for


end function
# define_data()
