:
#! /bin/sh5
######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../install/scr_gen/install.sh  1.7  Delta: 2/14/91
######################################################################

# FourGen: Screen specific install script
# Author: Loren West

# set some variable defaults
dn=/dev/null                 ; export dn
DBDATE=mdy2/                 ; export DBDATE
SHELL=/bin/sh                ; export SHELL
if test ${INFORMIXDIR=empty} = empty
then
    test -d /usr/informix && INFORMIXDIR=/usr/informix
    test -d /usr2/informix && INFORMIXDIR=/usr2/informix
    if test $INFORMIXDIR = empty
    then
        echo "The \$INFORMIXDIR system variable needs to be set."
        exit 1
    else
        export INFORMIXDIR
    fi
fi

# check for Informix-4GL development system
if test -x $INFORMIXDIR/bin/c4gl
  then c4gl=yes
  else c4gl=no
fi

# check for Informix-RDS development system
if test -x $INFORMIXDIR/bin/fglpc
  then rds=yes
  else rds=no
fi

export c4gl
export rds

# Add $fg/bin to $PATH if necessary
PATH=`$fg/bin/chk_path $PATH $fg/bin`; export PATH

# Add $INFORMIXDIR/bin to $PATH if necessary
PATH=`chk_path $PATH $INFORMIXDIR/bin`; export PATH

# Add $fg/codegen/data and $fg/lib/forms to $DBPATH
DBPATH=$fg/codegen/data:$DBPATH        # PREPEND $fg/codegen/data
DBPATH=`chk_path $DBPATH $fg/lib/forms`; export DBPATH

# In altos unix, some installations use xar as their archiver.
# if this is the case, change our archiver to match.
if test -x /bin/xar
then
    libfile=`ls $INFORMIXDIR/lib/*.a | sed -n 1p`
    if /bin/xar t $libfile >$dn 2>$dn
    then
        if sed "s/ARCMD=ar/ARCMD=xar/" < Make/library >/tmp/make$$ 2>$dn
          then mv /tmp/make$$ Make/library
        fi
    fi
fi

# Create the appropriate databases
echo "Creating the demo database..."
cd $fg/codegen/data
if test "$rds" = "yes"
then
    cd stores
    $fg/bin/make.rds
    cd ../screen
    $fg/bin/make.rds
    cd ..
    rm -f */*.4go
    $INFORMIXDIR/bin/fglgo screen/dbmerge.4gi -d stores \
      -l default.dat || exit 1
    $INFORMIXDIR/bin/fglgo screen/dbmerge.4gi -d stores \
      -i || exit 1
    $INFORMIXDIR/bin/fglgo stores/dbmerge.4gi -d stores \
      -l default.dat || exit 1
else
    cd stores
    make
    cd ../screen
    make
    cd ..
    rm -f */*.o
    screen/dbmerge.4ge -d stores -l default.dat || exit 1
    screen/dbmerge.4ge -d stores -i || exit 1
    stores/dbmerge.4ge -d stores -l default.dat || exit 1
fi

# Make the libraries that the codegenerator needs
echo "Compiling FourGen: Screen library..."
rm -rf $fg/lib/scr.a   $fg/lib/scr.RDS \
       $fg/lib/standard.a $fg/lib/standard.RDS

if test ! -d $fg/lib/user_ctl.4gs
then
    rm -rf $fg/lib/user_ctl.a $fg/lib/user_ctl.RDS
fi

cd $fg/lib/scr.4gs
if test "$rds" = "yes"
then
    $fg/bin/make.rds
    mv depend.rds ../scr.RDS/depend.RDS
    mv func_map.rds ../scr.RDS/func_map.RDS
    mv unresolved.rds ../scr.RDS/unresolved.RDS
else
    make
fi

echo "Compiling FourGen: Standard library..."
cd $fg/lib/standard.4gs
if test "$rds" = "yes"
then
    $fg/bin/make.rds
    mv depend.rds ../standard.RDS/depend.RDS
    mv func_map.rds ../standard.RDS/func_map.RDS
    mv unresolved.rds ../standard.RDS/unresolved.RDS
else
    make
fi

# if the user control library does not exist then compile null functions
if test ! -d $fg/lib/user_ctl.4gs
then
    echo "Compiling FourGen: User Control library..."
    cd $fg/lib/user_nul.4gs
    if test "$rds" = "yes"
    then
        $fg/bin/make.rds
        mv depend.rds ../user_ctl.RDS/depend.RDS
        mv func_map.rds ../user_ctl.RDS/func_map.RDS
        mv unresolved.rds ../user_ctl.RDS/unresolved.RDS
    else
        make
    fi
fi

# link mktables to codegen/bin
ln $fg/bin/mktables $fg/codegen/bin/mktables > $dn 2> $dn
ln $fg/bin/run $fg/codegen/bin/run > $dn 2> $dn

exit 0
