######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/wind_pos.4gl  1.2  Delta: 11/30/90
######################################################################

globals "globals.4gl"

define
    win_prep smallint    # Has the window cursor been prepared?

######################################################################
function window_pos(y_pos, x_pos)
# returning y_pos, x_pos
######################################################################
# This function determines the x/y coordinates of the window to
# open.  It first checks for entries in the user defined screen
# table udxscrnr, and then in the system supplied screen table
# stxscrnr and if notfound, then it just returns the default
# y_pos, x_pos that are passed to the function.
#
    define
        y_pos smallint,  # Window Y position
        x_pos smallint   # Window X position

    # Trap fatal errors
    whenever error call error_handler

    # Don't error if the tables aren't defined.
    whenever error continue
    if win_prep = 123
    then else
        let win_prep = 123
        let scratch = "select win_y, win_x from stxudscr ",
          "where progid = ? and scrid = ?"
        prepare s_win1 from scratch
        declare u_win cursor for s_win1
        let scratch = "select win_y, win_x from stxscrnr ",
          "where progid = ? and scrid = ?"
        prepare s_win2 from scratch
        declare s_win cursor for s_win2
    end if

    # See if there is an X/Y stored in the database
    open u_win using progid, scr_id
    fetch u_win into y_pos, x_pos
    if sqlca.sqlcode = 0 then return y_pos, x_pos end if
    open s_win using progid, scr_id
    fetch s_win into y_pos, x_pos
    if sqlca.sqlcode = 0 then return y_pos, x_pos end if
    whenever error call error_handler
    
    # Return the default
    return y_pos, x_pos
end function
# window_pos()
